## javax.media.jai.tilecodec
Class RawTileCodecDescriptor

    java.lang.Object
      |
      +--javax.media.jai.tilecodec.TileCodecDescriptorImpl
            |
            +--javax.media.jai.tilecodec.RawTileCodecDescriptor

All Implemented Interfaces:
  RegistryElementDescriptor, TileCodecDescriptor

public class RawTileCodecDescriptor
extends TileCodecDescriptorImpl

This class is the descriptor for the "Raw" tile codec. The "Raw" tile codec scheme involves simply writing out the raw pixel data to the encoded stream. The format name for the raw tile codec is "raw". Since the encoded stream contains the `Raster`, it automatically contains the `SampleModel` and the tile's upper left corner position. Therefore the `includesSampleModelInfo()` and `includesLocationInfo()` methods in this descriptor return true.

The "Raw" codec scheme does not support any parameters.

Resource List
Name | Value
--- | ---
Vendor | com.sun.media.jai
Description | A descriptor to describe the lossless "raw" codec scheme.
DocURL | http://java.sun.com/products/java-media/jai/forDevelopers/jai-apidocs/javax/media/jai/tilecodec/RawTileCodecDescriptor.html
Version | 1.2

Parameter List
Name | Class Type | Default Value
--- | --- | ---

Since:
  1.1

Constructor Summary
`RawTileCodecDescriptor()` Creates a `RawTileCodecDescriptor`.

Method Summary
`TileCodecParameterList` `getCompatibleParameters(java.lang.String modeName, TileCodecParameterList otherParamList)` Returns a `TileCodecParameterList` valid for the specified modeName and compatible with the supplied `TileCodecParameterList`.
`TileCodecParameterList` `getDefaultParameters(java.lang.String modeName)` Returns the default parameters for the specified modeName as an instance of the `TileCodecParameterList`.
`TileCodecParameterList` `getDefaultParameters(java.lang.String modeName, java.awt.image.SampleModel sm)` Returns the default parameters for the specified modeName as an instance of the `TileCodecParameterList`, adding a "sampleModel" parameter with the specified value to the parameter list.
`ParameterListDescriptor` `getParameterListDescriptor(java.lang.String modeName)` Returns the `ParameterListDescriptor` that describes the associated parameters (NOT sources).

Methods inherited from class javax.media.jai.tilecodec.TileCodecDescriptorImpl
`arePropertiesSupported, getName, getPropertyGenerators, getSupportedModes, includesLocationInfo, includesSampleModelInfo, isModeSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RawTileCodecDescriptor

    public RawTileCodecDescriptor()

  Creates a `RawTileCodecDescriptor`.

Method Detail

### getCompatibleParameters

    public TileCodecParameterList getCompatibleParameters(java.lang.String modeName,
                                                          TileCodecParameterList otherParamList)

  Returns a `TileCodecParameterList` valid for the specified modeName and compatible with the supplied `TileCodecParameterList`. For example, given a `TileCodecParameterList` used to encode a tile with the modeName being specified as "tileDecoder", this method will return a `TileCodecParameterList` sufficient to decode that same tile. For the raw tile codec, no parameters are used. So null will be returned for any valid modeName specified.
  Parameters:
    `modeName` - The registry mode to return a valid parameter list for.
    `otherParamList` - The parameter list for which a compatible parameter list for the complementary modeName is to be found.
  Throws:
    `java.lang.IllegalArgumentException` - if `modeName` is null.
    `java.lang.IllegalArgumentException` - if `modeName` is not one of the modes valid for this descriptor, i.e those returned from the getSupportedNames() method.

### getDefaultParameters

    public TileCodecParameterList getDefaultParameters(java.lang.String modeName)

  Returns the default parameters for the specified modeName as an instance of the `TileCodecParameterList`. For the raw tile codec, no parameters are used. So null will be returned for any valid modeName specified.
  Parameters:
    `modeName` - The registry mode to return a valid parameter list for.
  Throws:
    `java.lang.IllegalArgumentException` - if `modeName` is null.
    `java.lang.IllegalArgumentException` - if `modeName` is not one of the modes valid for this descriptor, i.e those returned from the getSupportedNames() method.

### getDefaultParameters

    public TileCodecParameterList getDefaultParameters(java.lang.String modeName,
                                                       java.awt.image.SampleModel sm)

  Returns the default parameters for the specified modeName as an instance of the `TileCodecParameterList`, adding a "sampleModel" parameter with the specified value to the parameter list. For the raw tile codec, no parameters is used. So null will be returned for any valid modeName specified.

  This method should be used when includesSampleModelInfo() returns false. If includesSampleModelInfo() returns true, the supplied `SampleModel` is ignored.

  If a parameter named "sampleModel" exists in the default parameter list, the supplied SampleModel will override the value associated with this default parameter.

  Parameters:
    `modeName` - The registry mode to return a valid parameter list for.
    `sm` - The `SampleModel` used to create the default decoding parameter list.
  Throws:
    `java.lang.IllegalArgumentException` - if `modeName` is null.
    `java.lang.IllegalArgumentException` - if `modeName` is not one of the modes valid for this descriptor, i.e those returned from the getSupportedNames() method.

### getParameterListDescriptor

    public ParameterListDescriptor getParameterListDescriptor(java.lang.String modeName)

  Returns the `ParameterListDescriptor` that describes the associated parameters (NOT sources). This method returns null if there are no parameters for the specified modeName. If the specified modeName supports parameters but the implementing class does not have parameters, then this method returns a non-null `ParameterListDescriptor` whose `getNumParameters()` returns 0.
  Parameters:
    `modeName` - The mode to return a ParameterListDescriptor for.
  Throws:
    `java.lang.IllegalArgumentException` - if `modeName` is null.
    `java.lang.IllegalArgumentException` - if `modeName` is null.
    `java.lang.IllegalArgumentException` - if `modeName` is not one of the modes valid for this descriptor, i.e those returned from the getSupportedNames() method.